> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get accounts balance by currency



## OpenAPI

````yaml post /v1/accounts/balance/currency
openapi: 3.0.0
info:
  title: Corebanq - Accounts API
  description: API endpoints for managing bank accounts
  version: 1.0.0
servers: []
security: []
paths:
  /v1/accounts/balance/currency:
    post:
      summary: Get accounts balance by currency
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccountsBalanceInput'
      responses:
        '200':
          description: Account balance in specified currency
          content:
            application/json:
              schema:
                type: object
                properties:
                  balance:
                    type: number
                  currency:
                    type: string
components:
  schemas:
    AccountsBalanceInput:
      type: object
      required:
        - customer_id
        - currency
      properties:
        customer_id:
          type: string
          format: uuid
        currency:
          type: string
          minLength: 3
          maxLength: 3

````